Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.editable
Class GraphicEditState

    java.lang.Object
      com.bbn.openmap.layer.util.stateMachine.State
          com.bbn.openmap.omGraphics.editable.GraphicEditState

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.AdjustmentListener, java.awt.event.ComponentListener, java.awt.event.ContainerListener, EOMGEditState, java.util.EventListener, java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.event.KeyListener, MapMouseListener, java.awt.event.TextListener, java.awt.event.WindowListener

Direct Known Subclasses:
  PointEditState, TextEditState

public class GraphicEditState
extends State
implements EOMGEditState

Field Summary
`protected EditableOMGraphic` | `graphic`

Fields inherited from class com.bbn.openmap.layer.util.stateMachine.State
`i18n`

Constructor Summary
`GraphicEditState(EditableOMGraphic eomg)`

Method Summary
`boolean` | `mouseDragged(java.awt.event.MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`boolean` | `mouseReleased(java.awt.event.MouseEvent e)` Invoked when a mouse button has been released on a component.

Methods inherited from class com.bbn.openmap.layer.util.stateMachine.State
`actionPerformed, adjustmentValueChanged, componentAdded, componentHidden, componentMoved, componentRemoved, componentResized, componentShown, focusGained, focusLost, getMapMouseListenerResponse, getMouseModeServiceList, itemStateChanged, keyPressed, keyReleased, keyTyped, mouseClicked, mouseEntered, mouseExited, mouseMoved, mouseMoved, mousePressed, setMapMouseListenerResponse, textValueChanged, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphic

    protected EditableOMGraphic graphic

Constructor Detail

### GraphicEditState

    public GraphicEditState(EditableOMGraphic eomg)

Method Detail

### mouseDragged

    public boolean mouseDragged(java.awt.event.MouseEvent e)

  Description copied from interface: `MapMouseListener`
  Invoked when a mouse button is pressed on a component and then dragged. The listener will receive these events if it successfully processes mousePressed(), or if no other listener processes the event.

  Specified by:
    `mouseDragged` in interface `MapMouseListener`
  Overrides:
    `mouseDragged` in class `State`

### mouseReleased

    public boolean mouseReleased(java.awt.event.MouseEvent e)

  Description copied from interface: `MapMouseListener`
  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `MapMouseListener`
  Overrides:
    `mouseReleased` in class `State`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details